| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLFormatTarget Class Reference

`#include <XMLFormatter.hpp>`

Inheritance diagram for XMLFormatTarget

[legend]
List of all members.

## Public Methods

virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite,const unsigned int count,XMLFormatter *const formatter)=0

## Protected Methods

| XMLFormatTarget ()
| XMLFormatTarget (const XMLFormatTarget &)
void | operator= (const XMLFormatTarget &)

## Constructor & Destructor Documentation

XMLFormatTarget::~XMLFormatTarget ( | )`[virtual]`

XMLFormatTarget::XMLFormatTarget ( | )`[protected]`

XMLFormatTarget::XMLFormatTarget ( | const XMLFormatTarget & )`[protected]`

## Member Function Documentation

void XMLFormatTarget::operator= ( | const XMLFormatTarget & )`[protected]`

virtual void XMLFormatTarget::writeChars ( | const XMLByte *const toWrite,
| const unsigned int count,
| XMLFormatter *const formatter )`[pure virtual]`

| Reimplemented in LocalFileFormatTarget, MemBufFormatTarget, and StdOutFormatTarget.

The documentation for this class was generated from the following file:

- XMLFormatter.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.